curl --request POST \
--url https://apigcp.trynia.ai/v2/shell-docs/{namespace}/grep \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pattern": "<string>",
"path": "",
"case_sensitive": false,
"whole_word": false,
"fixed_string": false,
"max_total_matches": 100,
"max_matches_per_file": 10,
"context_lines": 3,
"lines_before": 123,
"lines_after": 123,
"output_mode": "content",
"multiline_content": false
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}curl --request POST \
--url https://apigcp.trynia.ai/v2/shell-docs/{namespace}/grep \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pattern": "<string>",
"path": "",
"case_sensitive": false,
"whole_word": false,
"fixed_string": false,
"max_total_matches": 100,
"max_matches_per_file": 10,
"context_lines": 3,
"lines_before": 123,
"lines_after": 123,
"output_mode": "content",
"multiline_content": false
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API key must be provided in the Authorization header
Regex pattern
Path prefix filter
1 <= x <= 100001 <= x <= 1000 <= x <= 10content|files_with_matches|count
Successful Response
Was this page helpful?